#version 120

uniform sampler2D texture0;

varying vec2 v_texcoord;
varying vec4 v_color;
varying vec2 v_mask;

void main() {
	vec4 finalColor = texture2D(texture0, v_texcoord.xy) * v_color * v_mask.x + v_color * v_mask.y;
	finalColor.r *= finalColor.a;
	finalColor.g *= finalColor.a;
	finalColor.b *= finalColor.a;
	gl_FragColor = finalColor;
}
